/* Remove external fonts or store them on localhost */
/* @import url("https://fonts.googleapis.com/css?family=Poppins:300,400,600,800&display=swap"); */

@font-face {
  font-family: "Crazy";
  src: url("/fonts/Crazy.ttf");
}

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body,
button,
input,
textarea,
select {
  font-family:
    -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue",
    Arial, "Liberation Sans", sans-serif;
}

/*** COLORS ***/

/*** https://coolors.co/29524a-8e936d-2d728f-f5ee9e-ab3428 ***/
:root {
  /* CSS HSL */
  --brunswick-green: hsla(168, 33%, 24%, 1);
  --moss-green: hsla(68, 15%, 50%, 1);
  --cerulean: hsla(198, 52%, 37%, 1);
  --vanilla: hsla(55, 81%, 79%, 1);
  --fire-brick: hsla(5, 62%, 41%, 1);
  /* Static URL */
  /* --static-images-url: "https://static.wondertours.net/public/images/"; */
}

.text-cerulean {
  color: var(--cerulean);
}

.text-moss-green {
  color: var(--moss-green);
}

.text-brunswick-green {
  color: var(--brunswick-green);
}

h1,
h2,
h3 {
  font-family: "Crazy", sans-serif;
}

.text-link {
  color: var(--brunswick-green);
}

/*** BUTTONS ***/

button,
a {
  cursor: pointer;
}

.close-menu-btn {
  position: absolute;
  top: 12px;
  right: 12px;
  padding: 0px 8px;
  font-weight: 800;
  border: 3px solid var(--cerulean);
  color: var(--cerulean);
  border-radius: 15px;
  cursor: pointer !important;
}

.lp-cta-btn {
  position: relative;
  top: 2rem;
  max-width: 230px !important;
  font-weight: 700;
  background: var(--cerulean);
  border: 5px solid var(--cerulean);
  color: #fff;
  border-radius: 50px;
  padding: 16px;
  margin: 30px auto;
  font-size: 1.5rem;
  text-decoration: none;
  cursor: pointer;
}
.lp-cta-btn .icon,
.lp-cta-btn .plane-icon {
  color: #fff;
}
.lp-cta-btn:hover {
  background: #fff;
  color: var(--cerulean);
  border: 5px solid var(--cerulean);
}
.lp-cta-btn:hover .icon {
  color: var(--cerulean);
}

.lp-banner-btn {
  color: var(--brunswick-green);
  font-weight: 700;
  background: rgba(255, 255, 255, 1);
  border: 3px solid var(--moss-green);
  border-radius: 30px;
  padding: 16px;
  /* margin: 80px auto; */
  font-size: 1.5rem;
  text-decoration: none;
  cursor: pointer;
}

.lp-banner-btn:hover {
  border: 3px solid #fff;
  background: rgba(255, 255, 255, 0.8);
}

.modal-cta-btn {
  display: inline-flex;
  justify-content: center;
  color: #fff;
  border: 3px solid #fff;
  background-color: var(--cerulean);
  font-weight: 600;
  border-radius: 20px;
  padding: 15px;
  margin: 20px auto;
  font-size: 1.5rem;
  text-decoration: none;
  cursor: pointer;
}
.modal-cta-btn:hover {
  background-color: #fff;
  color: var(--cerulean);
  border: var(--cerulean) solid 3px;
  /* color: #fff;
  border: 3px solid #fff;
  background-color: var(--cerulean); */
}

.tag-cloud-btn,
.wt-tour-btn {
  display: inline-flex;
  border-radius: 10px;
  font-size: 1.25rem;
  margin: 10px;
  padding: 10px;
  text-decoration: none;
  cursor: pointer;
}

.wt-tour-btn {
  color: #fff;
  background-color: var(--brunswick-green);
  border: 5px solid var(--brunswick-green);
  cursor: pointer;
}
.wt-tour-btn:hover {
  color: var(--brunswick-green);
  background-color: #fff;
  border: 5px solid var(--brunswick-green);
}
.tag-cloud-btn {
  color: var(--brunswick-green);
  background-color: #fff;
  border: var(--brunswick-green) 3px solid;
  cursor: pointer;
}
.tag-cloud-btn:hover {
  color: #fff;
  background-color: var(--brunswick-green);
  border: var(--brunswick-green) 3px solid;
}

.total-people-input {
  display: inline-flex;
  width: 180px;
  /* position: relative; */
  justify-content: right;
  padding: auto 5px;
  text-align: center;
  font-size: 1.2rem;
}
.more-less-btn {
  height: fit-content;
  max-height: 40px;
  width: 30px;
  border: 2px solid var(--cerulean);
  border-radius: 20px;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--cerulean);
  padding: 5px;
  margin: auto 5px;
  background-color: #fff;
  text-decoration: none;
}

.group-size-selector {
  max-height: 40px;
  width: 60px;
  padding: 5px;
  text-align: center;
  border: 2px solid var(--cerulean);
  border-radius: 10px;
  font-size: 1.2rem;
}

.fwt-info-btn {
  background-color: #fff;
  color: var(--brunswick-green);
  font-size: 1.6rem;
  font-weight: 600;
  border-radius: 20px;
  padding: 20px;
  text-decoration: none;
}

/* END of buttons */

.ls-text-icons {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 23%;
  padding: 0px 10px;
  max-width: 60px;
}

/*** W3 modals OVERWRITES ***/

.w3-modal {
  background-color: transparent;
}

/* Wonder Tours Modals */
.wt-modal {
  margin-top: 10px;
  min-height: fit-content;
  border: var(--cerulean) 10px solid;
  background-color: #fff;
  border-radius: 20px;
  padding-bottom: 30px;
  overflow-y: scroll;
  scrollbar-width: thin;
}

.wt-modal .flex-item-1 {
  margin: 20px auto;
  padding: 5px;
}

.wt-modal .flex-item-1 img {
  max-height: 300px;
  border-radius: 20px;
}

.wt-modal .flex-item-2 {
  margin: 10px auto;
  padding: 20px;
}

.modal-title {
  font-size: 2rem;
  color: var(--cerulean);
  text-align: center;
  margin-top: 0px;
  border-bottom: 5px solid var(--cerulean);
  position: sticky;
  top: 0px;
  background-color: white;
  border-radius: 20px 20px 0 0;
}
